Bug 238621 - security/spass: version bump to 3.2
Summary: security/spass: version bump to 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/guyru/spass/compar...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-16 15:35 UTC by Thomas Merkel
Modified: 2019-09-02 11:59 UTC (History)
1 user (show)

See Also:


Attachments
spass 3.7 (849 bytes, patch)
2019-06-16 15:35 UTC, Thomas Merkel
no flags Details | Diff
spass-3.2-with-flavors.patch (1.54 KB, patch)
2019-07-26 22:59 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Merkel 2019-06-16 15:35:17 UTC
Created attachment 205136 [details]
spass 3.7

Attached the a patch for the latest version of spass.
Comment 1 Kai Knoblich freebsd_committer 2019-06-18 10:18:25 UTC
(In reply to Thomas Merkel from comment #0)

Hi Thomas,

thank you for the patch. It's really "only" a portbump because the tarball of the "new version" has the same checksum as the current one. :)

I did some research with the following outcome:

- The repository at GitHub hasn't changed since 17th August 2012 and the latest commit hash is "cb0de64" for version 3.0

- I think there's a mixup (e.g. repology) with another OSS project called SPASS Prover (which would be science/spass or similar) that also uses the same package name.

- But there's a small update (= 3.1) for security/spass at SourceForge. Upstream has switched from GitHub to Sourceforge according this Blog entry https://www.guyrutenberg.com/category/projects/spass/

If you like we can update security/spass from 3.0 to 3.1?
Comment 2 Kai Knoblich freebsd_committer 2019-07-16 11:35:17 UTC
There was the option to update security/spass to the latest release 3.1 and switch from GitHub to SF as the project has moved officially to that location.

But an update to 3.1 isn't possible because it depends on Qt4 unconditionally which is EOL (and has already removed from the Ports tree).

It seems also that security/spass is a bit stale because the latest release, 3.1, is from 2013. I'll ask upstream about it if there's a new version planned in near future.
Comment 3 Kai Knoblich freebsd_committer 2019-07-26 22:59:41 UTC
Created attachment 206094 [details]
spass-3.2-with-flavors.patch
Comment 4 commit-hook freebsd_committer 2019-09-02 11:53:14 UTC
A commit references this bug:

Author: kai
Date: Mon Sep  2 11:52:45 UTC 2019
New revision: 510779
URL: https://svnweb.freebsd.org/changeset/ports/510779

Log:
  security/spass{-qt5}: Update to 3.2

  * Introduce security/spass-qt5 as a slave port that contains only the GUI
    version which was added with the 3.1 release.

  * Use the latest commit d38d173 to make use of the WITH_GUI boolean flag
    that enables the GUI/CLI-only build.

  Changelog since 3.0:

  * Minor tweaks for the CLI version
  * Additional Qt5 GUI version

  PR:		238621
  Submitted by:	Thomas Merkel <tm@NetBSD.org> (initial patch)
  Reviewed by:	mat (portmgr, to determine if FLAVORS can be used or not)
  Differential Revision:	https://reviews.freebsd.org/D21084

Changes:
  head/security/Makefile
  head/security/spass/Makefile
  head/security/spass/distinfo
  head/security/spass-qt5/
  head/security/spass-qt5/Makefile
Comment 5 Kai Knoblich freebsd_committer 2019-09-02 11:59:58 UTC
Committed, thank you for the initial patch that started the whole process.

The Ports tree has now the latest version of security/spass and also a GUI-only slaveport, security/spass-qt5.